
/****** homepage ******/
.banners-wrapper {
    position: relative;
    width: 100%;
    height: auto;
}

.banners-carousel {
    position: relative;
    width: 100%;
    height: 70vh;
}

.banners-carousel.hidden {
    display: none;
}

.banners-carousel .item {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
    transform: translateX(var(--slider-offset-left));
}

.banners-carousel .item.active {
    transform: translateX(0%);
    animation: banTrans 500ms ease-in-out;
    animation-iteration-count: 1;
}

.banners-carousel .item.leave {
    transform: translateX(var(--slider-offset-right));
    animation: banLeave 500ms ease-in-out;
    animation-iteration-count: 1;
}

@keyframes banTrans {
    0% {
        filter: blur(10px);
        transform: translateX(var(--slider-offset-left));
    }
    80% {
        filter: blur(4px);
    }
    100% {
        filter: blur(0px);
        transform: translateX(0%);
    }
}

@keyframes banLeave {
    0% {
        filter: blur(0px);
        transform: translateX(0%);
    }
    80% {
        filter: blur(4px);
    }
    100% {
        filter: blur(10px);
        transform: translateX(var(--slider-offset-right));
    }
}

.banners-carousel .item.left {
    flex-direction: row;
}

.banners-carousel .item.right {
    flex-direction: row-reverse;
}

.banners-carousel .item.center {
    flex-direction: column;
}

.banners-carousel .item .banner-image {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.banners-carousel .item .banner-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.banners-carousel .item.center .banner-image {
    width: 100%;
    height: 100%;
}

.banners-carousel .item.center .banner-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.banners-carousel .item .banner-content {
    display: flex;
    flex-direction: column;
    width: 35%;
    min-width: 35%;
    max-width: 380px;
    height: 100%;
    padding: 30px;
    background-color: unset;
    /*background-image: url("/assets/bg-banner-light.jpg");*/
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    color: #1f1f1f;
}

.banners-carousel .item.light .banner-content {
    background-color: var(--bg-light-color);
    /*background-image: url("/assets/bg-banner-light.jpg");*/
    color: #1f1f1f;
}

.banners-carousel .item.dark .banner-content {
    background-color: var(--bg-dark-color);
    /*background-image: url("/assets/bg-banner-dark.jpg");*/
    color: #fff;
}

.banners-carousel .item.left .banner-content {
    justify-content: space-evenly;
    align-items: flex-end;
}

.banners-carousel .item.right .banner-content {
    justify-content: space-evenly;
    align-items: flex-start;
}

.banners-carousel .item.center .banner-content {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    padding: 30px 0;
    background-image: none !important;
    background-color: unset !important;
    color: #fff;
}

.banners-carousel .item.right .banner-content .info > * {
    text-align: left !important;
}

.banners-carousel .item.left .banner-content .info > * {
    text-align: right !important;
}

.banners-carousel .item.center .banner-content .info > * {
    text-align: center !important;
}

.banners-carousel .item .banner-content h3 {
    display: block;
    margin-bottom: 5px;
    font-family: var(--cinzel) !important;
    font-size: 2.6em;
    font-weight: 500;
    line-height: 32px;
}

.banners-carousel .item .banner-content h4 {
    display: block;
    margin-top: 0;
    margin-bottom: 1em;
    font-family: var(--cinzel) !important;
    font-size: 1.6em;
    font-weight: 400;
}

.banners-carousel .item .banner-content p {
    font-size: 1.2em;
    font-weight: 300;
    line-height: 22px;
    letter-spacing: 1px;
    opacity: .9;
}

.banners-carousel .item.center .banner-content h3 {
    text-shadow: 1px 1px 8px rgba(0, 0, 0, 1);
}

.banners-carousel .item.center .banner-content h4 {
    text-shadow: 1px 1px 10px rgba(0, 0, 0, 1);
}

.banners-carousel .item.center .banner-content p {
    margin-bottom: 2em;
    text-align: center;
    text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.8);
}

.banners-wrapper .selectors {
    display: flex;
    position: absolute;
    right: 30px;
    bottom: 20px;
}

.banners-wrapper .selectors .dot {
    width: 13px;
    height: 13px;
    margin: 0 5px;
    background-color: var(--bg-light-color);
    box-shadow: 0 1px 3px rgba(50, 50, 50, 0.5);
    border: 1px solid #fff;
    border-radius: 2px;
    cursor: pointer;
    animation: dotOut 500ms ease-in-out;
    animation-iteration-count: 1;
}

.banners-wrapper .selectors .dot.active {
    background-color: var(--active-color);
    animation: dotIn 500ms ease-in-out;
    animation-iteration-count: 1;
}

@keyframes dotIn {
    0% {
        background-color: var(--bg-light-color);
    }
    100% {
        background-color: var(--active-color);
    }
}

@keyframes dotOut {
    0% {
        background-color: var(--active-color);
    }
    100% {
        background-color: var(--bg-light-color);
    }
}

/****** homepage.categories.grid ******/
.home-categories.grid {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-column-gap: 20px;
    grid-row-gap: 20px;
    margin: 6em 0;
}

.home-categories.grid .item {
    grid-column: auto / span 2;
    min-height: 28vh;
}

.home-categories.grid[data-taxons="3"] .item:first-child,
.home-categories.grid[data-taxons="3"] .item:last-child {
    grid-column: auto / span 6;
}

.home-categories.grid[data-taxons="4"] .item:first-child {
    grid-column: auto / span 6;
}

.home-categories.grid[data-taxons="4"] .item:last-child {
    grid-column: auto / span 4;
}

.home-categories.grid[data-taxons="5"] .item:first-child,
.home-categories.grid[data-taxons="5"] .item:last-child {
    grid-column: auto / span 4;
}

.home-categories.grid .wrapper {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    grid-column: auto / span 2;
    min-height: 28vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.home-categories.grid .wrapper .taxon {
    width: auto;
    margin: 0 auto;
    font-family: var(--cinzel) !important;
    font-size: 2.2em;
    font-weight: 500;
    text-shadow: -1px 2px 5px #0000004f;
    color: white;
    opacity: .9;
}

.home-categories.grid .wrapper .overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(0px);
    animation: backdropOut 300ms ease-out;
    animation-iteration-count: 1;
}

.home-categories.grid .item:hover > .wrapper .overlay {
    background-color: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(5px);
    animation: backdropIn 200ms ease-in;
    animation-iteration-count: 1;
}

.home-categories.grid .item:hover > .wrapper .taxon {
    font-weight: 400;
}

@keyframes backdropIn {
    0% {
        background-color: rgba(0, 0, 0, 0.2);
        backdrop-filter: blur(0px);
    }
    100% {
        background-color: rgba(0, 0, 0, 0.6);
        backdrop-filter: blur(5px);
    }
}

@keyframes backdropOut {
    0% {
        background-color: rgba(0, 0, 0, 0.6);
        backdrop-filter: blur(5px);
    }
    100% {
        background-color: rgba(0, 0, 0, 0.2);
        backdrop-filter: blur(0px);
    }
}

[data-route="app_welcome_index"] .welcome-message {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 2em;
    margin-bottom: 4em;
}

[data-route="sylius_shop_homepage"] .welcome-message {
    display: flex;
    flex-direction: column;
    justify-content: center;
    max-width: 70vw;
    margin: 2em auto 0;
}

[data-route="app_welcome_index"] .welcome-message h1,
[data-route="sylius_shop_homepage"] h1 {
    margin-top: 2em;
    font-weight: 500;
    font-size: 1.8em;
    text-align: center;
    color: var(--active-color);
    font-family: var(--cinzel) !important;
}

[data-route="app_welcome_index"] .welcome-message p {
    font-weight: 300;
    font-size: 1.4em;
    text-align: center;
}

[data-route="app_welcome_index"] .welcome-message .who {
    margin-top: 2em;
}

[data-route="sylius_shop_homepage"] .welcome-message p.who {
    font-weight: 300;
    font-size: 1.4em;
    text-align: center;
}

[data-route="sylius_shop_homepage"] .welcome-message p.what {
    font-weight: 300;
    font-size: 1.2em;
    text-align: center;
}

[data-route="app_welcome_index"] h2,
[data-route="sylius_shop_homepage"] h2,
[data-route="app_welcome_index"] h3,
[data-route="sylius_shop_homepage"] h3 {
    font-family: var(--cinzel) !important;
    font-weight: 500;
    font-size: 1.8em;
    text-align: center;
    color: var(--active-color);
}


/****** homepage.reinsurance ******/
.reinsurance {
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 260px;
    padding: 0 120px;
    border-radius: 0;
    background-color: var(--ligth-color);
}

.reinsurance > div {
    max-width: calc(100% / 4);
    padding: 20px 20px;
    text-align: center;
}

.reinsurance p {
    min-height: 50px;
    font-family: var(--lato);
    font-size: 1.1em;
    font-weight: 300;
    text-transform: uppercase;
}

.reinsurance img {
    width: 50px;
    height: 50px;
    margin: 0 auto;
}

@media (max-width: 990px) {
    .banners-carousel .item .banner-content {
        width: 50%;
        min-width: 50%;
    }

    .banners-carousel .item .banner-content h3 {
        font-size: 2em;
        line-height: 25px;
    }

    .banners-carousel .item .banner-content h4 {
        font-size: 1.3em;
    }

    .home-categories.grid {
        margin: 3em 0;
    }

    .home-categories.grid .item {
        grid-column: span 6 !important;
        min-height: 20vh;
    }

    .home-categories.grid .wrapper {
        min-height: 20vh;
    }

    .home-categories.grid .wrapper .taxon {
        font-size: 1.8em;
        font-weight: 400;
    }

    .reinsurance {
        padding: 0 20px;
    }
}

@media (max-width: 768px) {
    .banners-carousel .item.left {
        flex-direction: column;
    }

    .banners-carousel .item.right {
        flex-direction: column-reverse;
    }

    .banners-carousel .item .banner-content {
        width: 100%;
        min-width: 100%;
    }

    .banners-carousel .item.center .banner-content .info {
        max-width: 90%;
    }

    .banners-carousel .item .banner-content h3 {
        font-size: 1.8em;
    }

    .banners-carousel .item .banner-content h4 {
        font-size: 1.2em;
    }

    .banners-carousel .item .banner-content p {
        font-size: 1em;
        line-height: 16px;
    }

    .banners-carousel .item .banner-content .ui.button {
        max-width: 100% !important;
        margin-top: 1em;
    }

    .banners-wrapper .selectors {
        right: 10px;
        bottom: 10px;
    }

    [data-route="app_welcome_index"] .welcome-message,
    [data-route="sylius_shop_homepage"] .welcome-message {
        max-width: 95vw;
        margin: 1em auto;
        padding: 1em;
    }

    [data-route="app_welcome_index"] .welcome-message h1,
    [data-route="sylius_shop_homepage"] .welcome-message h1 {
        margin-top: 1em;
    }

    [data-route="app_welcome_index"] .welcome-message p,
    [data-route="sylius_shop_homepage"] .welcome-message p {
        font-size: 1.1em;
    }

    [data-route="app_welcome_index"] .welcome-message p.who,
    [data-route="sylius_shop_homepage"] .welcome-message p.who {
        font-size: 1.2em;
    }

    [data-route="app_welcome_index"] .welcome-message p.what,
    [data-route="sylius_shop_homepage"] .welcome-message p.what {
        font-size: 1.1em;
        text-align: justify;
    }

    .reinsurance {
        height: auto;
        flex-direction: column;
        padding: 0 20px;
    }

    .reinsurance > div {
        max-width: unset;
    }
}
